uses SArduino, SMPU6050;
var
    ready: boolean;
    xAngle,yAngle,zAngle: real;

procedure setup;
    var devStatus:byte;   
begin
    serialBegin(9600);
    devStatus:=mpuInitialize(2);     {so 2: interrupt o pin 2 }
    if(devStatus <> 0) then
        serialPrintlnString('mpuInitialize failed');
    
end;

procedure loop;
begin
    ready := mpuRead();
    if(ready = true) then
    begin
        xAngle:=mpuGetXAngle();
        yAngle:=mpuGetYAngle();
        zAngle:=mpuGetZAngle();
        serialPrintlnString('ypr');
        serialPrintlnString('  ');
        serialPrintFloat(zAngle);
        serialPrintlnString('  ');
        serialPrintFloat(yAngle);
        serialPrintlnString('  ');
        serialPrintFloat(xAngle);        
    end;
end;

begin
	setup();
	loop();
end.
