{Filename: ultrasonicSensor2.pas}
uses SArduino;

const
	{ket noi voi mach dieu khien dong co}
	right1=8;
	right2=9;
	left1=10;
	left2=11;

	trigPin = 12;
	echoPin = 13;

function microsecondsToCentimeters(microseconds: longint): longint;
begin
	microsecondsToCentimeters := microseconds/29/2;
	{Vat toc am thanh la 340m/s hoac la 29 microseconds/cm.
	Voi khoang cach tu ultra sonic den vat can va nguoc lai, 
	ta chia 2 de duoc khoang cach den vat can}
end;
		
procedure setup;
begin
	serialBegin(9600);			{khoi tao cong giao tiep serial}
	pinMode(trigPin,OUTPUT);	{chan trig se phat tin hieu}
	pinMode(echoPin,INPUT);		{chan echo se nhan tin hieu}
	
	pinMode(right1,OUTPUT);
	pinMode(right2,OUTPUT);
	pinMode(left1,OUTPUT);
	pinMode(left2,OUTPUT);
end;

procedure forward;
begin
	digitalWrite(right1,HIGH);
	digitalWrite(right2,LOW);
	digitalWrite(left1,HIGH);
	digitalWrite(left2,LOW);
end;

procedure stop;
begin
	digitalWrite(right1,LOW);
	digitalWrite(right2,LOW);
	digitalWrite(left1,LOW);
	digitalWrite(left2,LOW);
end;


procedure loop;
var duration, cm: longint;
begin
	{Phat xung tu chan trig}
	digitalWrite(trigPin,0);	{tat chan trig}
	delayMicroseconds(2);
	digitalWrite(trigPin,1);	{phat xung tu chan trig}
	delayMicroseconds(5);		{xung co do dai 5 microSeconds}
	digitalWrite(trigPin,0);	{tat chan trig}

	{Tinh toan thoi gian. Do do rong xung HIGH o chan echo}
	duration := pulseIn(echoPin,HIGH); 
	cm := microsecondsToCentimeters(duration);
	if (cm > 5) then
		forward()
	else
		stop();
end;
begin
	setup();
	loop();	
end.